

:root {
    --main-orange-color: #ffd55a;
    --main-dark-color: #143d59;
    --main-light-color: #6dd47e;
  }


body{
    font-family: 'Open Sans', sans-serif;
    text-align: center;
    font-weight:600;
    font-size: medium;
    margin: 0px;
    background-color: var(--main-orange-color);
    overflow-x: hidden;
    position: relative;
}



header {
    width: 100%;
    display: flex;
    justify-content: center;
    height: 60px;
    
    background-color: var(--main-orange-color);
    padding: 5px;

    border-bottom: 7px solid var(--main-dark-color);
}

.ColorStroke
{
    width: 80%;
    display: flex;
}

.links img{
    height: auto;
}

.links {
    width: 85%;
    
    display: flex;
    justify-content: left;
    align-items: center;
}

.links a {
    text-decoration: none;
    color:var(--main-dark-color);
    border:2px solid transparent;
    padding: 5px;
    margin-left: 50px;
}

.loginLinks {
    width: 15%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.loginLinks a{
    text-decoration: none;
    color:var(--main-dark-color);
    border:2px solid transparent;
    padding: 5px;
}

.links a:hover {
    border-bottom:2px solid var(--main-dark-color);
}

h1 {
    margin: 10px;
    color: var(--main-dark-color);
    margin-bottom: 10px;
    margin-top: 15px;
}

.CommentButtons{
    margin: auto;

    width: 40%;
    display: flex;
    justify-content: space-around;
    align-items: center;

    margin-top: 15px;
    text-decoration: none;
}

.CommentButtons button{

    width:10%;
    height: 50px;
    margin: 10px;
    border-radius: 20px;
    background-color: var(--main-dark-color);
    border: 2px solid black;
    cursor: pointer;
}


#MakeAccountBtn {
    text-decoration:none; 
    border: none; 
    cursor: pointer; 
    border-radius: 25px; 
    padding: 5px; 
    width: 300px; 
    background-color: var(--main-light-color); 
    color: whitesmoke; 
    position: absolute; 
    top: 55%; 
    left: 40%; 
    font-size: 30px;
    transition: all 600ms ease;
}

#MakeAccountBtn:hover {
    color: #96c348;
    background-color: whitesmoke;
}

.form-popup{
    width: 25%;
    position: absolute;
    top: 200px;
    left: 37.5%;
}

.form-popup{
    width: 25%;
    position: absolute;
    top: 250px;
    left: 37.5%;
}

.form-container{
    color: var(--main-dark-color);
    background-color: var(--main-orange-color);

    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 20px;

    width: 100%;
}

.form-container input { 
    width: 60%;
    border-radius: 30px; 
    border: 2px solid var(--main-light-color);
    margin: 10px;
    padding: 10px;
    text-align: center;

    background-color: whitesmoke;
}

.LoginBtn {

    border-radius: 30px;
    height: 40px;
    background-color: var(--main-light-color);
    padding: 5px;

    width: 50%;
    cursor: pointer;
    border: none;

    margin: 20px;;
}

.filterbar 
{
    background-color: var(--main-dark-color);

    width: 70%; 
    height: 50px; 
    margin: auto; 
    margin-bottom: 15px; 
    border-radius: 10px;
}

.inputFilter
{
    height: 70%;
    width: 28%;
    border-radius: 10px;
    border: 2px solid var(--main-dark-color);

    text-align: center;
}

.buttonFilter
{
    width: 80%;
    height: 70%;
    border: 2px solid var(--main-dark-color);
    padding: 2px;
    border-radius: 30px;
    background-color: white;
    cursor: pointer;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

.buttonFilter p 
{
    text-align: center;
    width: 100%;
}

.DeleteInputFields
{
    width: 20%;
    height: 70%;
    border: 2px solid var(--main-dark-color);
    padding: 2px;
    border-radius: 30px;
    background-color: white;
    cursor: pointer;

    display: flex;
    justify-content: space-between;
    align-items: center;
}


.imageBackground
{
    width: 55px;
    height: 35px;

    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--main-dark-color);
    border-radius: 50%;
}

.imageBackground img
{
    width: 20px;
    height: 20px;
}

.DeleteInputFields
{
    margin-left: 20px;
    width: 35px;
}


.rssFeed h3
{
    
    margin: 10px;
    color: var(--main-dark-color);
    margin-bottom: 10px;
    margin-top: 15px;

    display: flex;
    justify-content: center;
    width: 100%;
}

.rssFeed:not(h3){
    margin: auto;
    display: flex;

    justify-content: space-between;
    width: 90%;
    flex-wrap: wrap;
}

.rssFeed h4{ padding: 10px; width: 30%; border: 2px solid var(--main-dark-color); background-color: #143d59;}
.rssFeed h4 a { text-decoration: none; color:var(--main-light-color)}
.rssFeed h3 a 
{ 
    font-size: larger; 
    color:  var(--main-dark-color); 
    text-decoration: none;
}


footer {
    background-color: #4c813c;
    height: 60px;
    position: absolute;
    bottom: 0;
    width: 100%;

    display: flex;
    justify-content: center;
}